Library Version 18.1.40

DB->get_priority()
Prev | Chapter 2. The DB Handle | Next

## DB->get_priority()

    #include <db.h>

    int
    DB->get_priority(DB *db, DB_CACHE_PRIORITY *priorityp);

The `DB->get_priority()` method returns the cache priority for pages referenced by the DB handle. This priority value is set using the DB->set_priority() method.

The `DB->get_priority()` method may be called only after the database has been opened.

The `DB->get_priority()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### priorityp

The `DB->get_priority()` method returns a reference to the cache priority in priorityp. See DB->set_priority() for a list of possible priorities.

### Class

DB

### See Also

Database and Related Methods, DB->set_priority()

Prev | Up | Next
DB->get_pagesize() | Home | DB->get_q_extentsize()